import { Collection, JSCodeshift } from 'jscodeshift';

export default function updateTheme(j: JSCodeshift, source: Collection) {
  source
    .findJSXElements('IconButton')
    .find(j.JSXAttribute)
    .filter((attribute) => {
      // eslint-disable-next-line prefer-destructuring
      const name = attribute.node.name.name;
      const value = (attribute.node.value as any).value ?? '';
      return name === 'theme' && (value === 'primary' || value === 'default');
    })
    .forEach((attribute) => {
      j(attribute).replaceWith(
        j.jsxAttribute(j.jsxIdentifier('variant'), attribute.node.value),
      );
    })
    .find(j.Literal)
    .forEach((literal) => {
      // eslint-disable-next-line no-param-reassign
      literal.node.value =
        literal.node.value === 'primary' ? 'emphasized' : literal.node.value;
    });
}
