import { API, FileInfo } from 'jscodeshift';

import updateButtonButtonState from './motions/button/updateButtonState';
import updateButtonVariant from './motions/button/updateVariant';
import updateButtonTheme from './motions/button/updateTheme';
import updateIconButtonAriaLabel from './motions/icon-button/updateAriaLabel';
import updateIconButtonButtonState from './motions/icon-button/updateButtonState';
import updateIconButtonTheme from './motions/icon-button/updateTheme';
import updateIconButtonVariant from './motions/icon-button/updateVariant';

export default function transformer(file: FileInfo, { jscodeshift: j }: API) {
  const source = j(file.source);

  updateIconButtonAriaLabel(j, source);
  updateIconButtonButtonState(j, source);
  updateIconButtonVariant(j, source);
  updateIconButtonTheme(j, source);

  updateButtonButtonState(j, source);
  updateButtonVariant(j, source);
  updateButtonTheme(j, source);

  return source.toSource();
}
